Recommended method to upgrade 2.5 to 2.5.1

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Recommended method to upgrade 2.5 to 2.5.1

Ismail, Mark

Hi

 

I just upgraded Geoserver to 2.5.1 from 2.5 using the windows installer (on a windows 2008 server installation)

 

It went ok and Geoserver still worked with one exception

 

I ended up with 2 services 2.5 and 2.5.1 with no way to easily uninstall the older service

 

Geoserver also seemed to be running much slower even after I turned off the old service.

 

Luckily I had a snapshot of the windows VM and reverted the server to before the upgrade.

 

I want to try again but how do I get round the double service issue ?

 

I’d rather not uninstall 2.5 as I’ve made a lot of config changes

 

Mark Ismail

Principal IT Officer

Tel: 0151 443 3021

Knowsley Council  ê  Westmorland Road  ê Huyton ê L36 9GL

 

Save time – use the IT Service Desk Self Serve Application

 

This e-mail and any attachments are confidential. It may contain privileged information and is intended for the named recipient(s) only. It must not be distributed without consent. If you are not one of the intended recipients, please notify the sender immediately and do not disclose, distribute, or retain this email or any part of it and do not take any action based on it.

Unless expressly stated, opinions in this email are those of the individual sender, and not of Knowsley MBC. Legally binding obligations can only be created for, or be entered into on behalf of, Knowsley MBC by duly authorised officers or representatives.

Knowsley MBC excludes any liability whatsoever for any offence caused, any direct or consequential loss arising from the use, or reliance on, this e-mail or its contents. We believe but do not warrant that this e-mail and any attachments are virus free. You must therefore take full responsibility for virus checking and no responsibility is accepted for loss or damage arising from viruses or changes made to this message after it was sent. Knowsley MBC reserves the right to monitor and/or record all e-mail communications through its network in accordance with relevant legislation.

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Geoserver-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Recommended method to upgrade 2.5 to 2.5.1

Stefano Iacovella

2014-06-05 12:43 GMT+02:00 Ismail, Mark <[hidden email]>:
I’d rather not uninstall 2.5 as I’ve made a lot of config changes

If you save your data_directory you can upgrade without loosing any setting you did. Just install the 2.5.1 then point it to the data_directory.
In case you don't did it, consider that you should always use a custom folder for geoserver data_directory in a production environment.

Cheers,

Stefano
---------------------------------------------------
41.95581N 12.52854E


http://www.linkedin.com/in/stefanoiacovella

http://twitter.com/#!/Iacovellas

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Geoserver-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Recommended method to upgrade 2.5 to 2.5.1

Ismail, Mark

I didn’t use a custom folder – I went for default installation and setup – I will go read up on it

 

Mark Ismail

Principal IT Officer

Tel: 0151 443 3021

Knowsley Council  ê  Westmorland Road  ê Huyton ê L36 9GL

 

Save time – use the IT Service Desk Self Serve Application

 

From: Stefano Iacovella [mailto:[hidden email]]
Sent: 05 June 2014 11:49
To: Ismail, Mark
Cc: geoserver mailing list ([hidden email])
Subject: Re: [Geoserver-users] Recommended method to upgrade 2.5 to 2.5.1

 

 

2014-06-05 12:43 GMT+02:00 Ismail, Mark <[hidden email]>:

I’d rather not uninstall 2.5 as I’ve made a lot of config changes

 

If you save your data_directory you can upgrade without loosing any setting you did. Just install the 2.5.1 then point it to the data_directory.
In case you don't did it, consider that you should always use a custom folder for geoserver data_directory in a production environment.

 

Cheers,

Stefano

---------------------------------------------------
41.95581N 12.52854E


http://www.linkedin.com/in/stefanoiacovella

http://twitter.com/#!/Iacovellas

This e-mail and any attachments are confidential. It may contain privileged information and is intended for the named recipient(s) only. It must not be distributed without consent. If you are not one of the intended recipients, please notify the sender immediately and do not disclose, distribute, or retain this email or any part of it and do not take any action based on it.

Unless expressly stated, opinions in this email are those of the individual sender, and not of Knowsley MBC. Legally binding obligations can only be created for, or be entered into on behalf of, Knowsley MBC by duly authorised officers or representatives.

Knowsley MBC excludes any liability whatsoever for any offence caused, any direct or consequential loss arising from the use, or reliance on, this e-mail or its contents. We believe but do not warrant that this e-mail and any attachments are virus free. You must therefore take full responsibility for virus checking and no responsibility is accepted for loss or damage arising from viruses or changes made to this message after it was sent. Knowsley MBC reserves the right to monitor and/or record all e-mail communications through its network in accordance with relevant legislation.

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Geoserver-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Recommended method to upgrade 2.5 to 2.5.1

Stefano Iacovella

2014-06-05 12:56 GMT+02:00 Ismail, Mark <[hidden email]>:
I didn’t use a custom folder – I went for default installation and setup – I will go read up on it

Just restore the snapshot of your virtual machine, then copy the data_directory contents to another folder on the file system. Then upgrade to 2.5.1, open the web.xml file and serarch for the following code:

<context-param>
       <param-name>GEOSERVER_DATA_DIR</param-name>
       <param-value>/opt/data_dir_geoserver</param-value>
</context-param>

Uncomment it, as it is commented by default, and change the value to the location where you saved your data_directory contents.

Stefano

---------------------------------------------------
41.95581N 12.52854E


http://www.linkedin.com/in/stefanoiacovella

http://twitter.com/#!/Iacovellas

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Geoserver-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Recommended method to upgrade 2.5 to 2.5.1

Ismail, Mark

I did as you suggested Stefano and I have moved my data_dir and all seemed fine until I did a wmsgetfeatureinfo

 

Getting an error from openlayers.js

 

Unhandled exception at line 450, column 350 in http://localhost:51416/Scripts/openlayers/OpenLayers.js

0x800a03ea - JavaScript runtime error: Syntax error

 

The error is something to do with parsing json

 

I will revert the server again and see if it is something to do with the 2.5.1 installation handling JSON calls differently

 

Mark Ismail

Principal IT Officer

Tel: 0151 443 3021

Knowsley Council  ê  Westmorland Road  ê Huyton ê L36 9GL

 

Save time – use the IT Service Desk Self Serve Application

 

From: Stefano Iacovella [mailto:[hidden email]]
Sent: 05 June 2014 12:02
To: Ismail, Mark
Cc: geoserver mailing list ([hidden email])
Subject: Re: [Geoserver-users] Recommended method to upgrade 2.5 to 2.5.1

 

 

2014-06-05 12:56 GMT+02:00 Ismail, Mark <[hidden email]>:

I didn’t use a custom folder – I went for default installation and setup – I will go read up on it

 

Just restore the snapshot of your virtual machine, then copy the data_directory contents to another folder on the file system. Then upgrade to 2.5.1, open the web.xml file and serarch for the following code:

<context-param>
       <param-name>GEOSERVER_DATA_DIR</param-name>
       <param-value>/opt/data_dir_geoserver</param-value>
</context-param>

Uncomment it, as it is commented by default, and change the value to the location where you saved your data_directory contents.

Stefano


---------------------------------------------------
41.95581N 12.52854E


http://www.linkedin.com/in/stefanoiacovella

http://twitter.com/#!/Iacovellas

This e-mail and any attachments are confidential. It may contain privileged information and is intended for the named recipient(s) only. It must not be distributed without consent. If you are not one of the intended recipients, please notify the sender immediately and do not disclose, distribute, or retain this email or any part of it and do not take any action based on it.

Unless expressly stated, opinions in this email are those of the individual sender, and not of Knowsley MBC. Legally binding obligations can only be created for, or be entered into on behalf of, Knowsley MBC by duly authorised officers or representatives.

Knowsley MBC excludes any liability whatsoever for any offence caused, any direct or consequential loss arising from the use, or reliance on, this e-mail or its contents. We believe but do not warrant that this e-mail and any attachments are virus free. You must therefore take full responsibility for virus checking and no responsibility is accepted for loss or damage arising from viruses or changes made to this message after it was sent. Knowsley MBC reserves the right to monitor and/or record all e-mail communications through its network in accordance with relevant legislation.

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Geoserver-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Recommended method to upgrade 2.5 to 2.5.1

Stefano Iacovella

2014-06-05 14:21 GMT+02:00 Ismail, Mark <[hidden email]>:
I will revert the server again and see if it is something to do with the 2.5.1 installation handling JSON calls differently

Hi Mark,

IMHO is very doubtful that the error may be related to the data_directory location.
As first step did you checked that at startup GeoServer didn't complain about some error in configuration?
if the startup is safe then check that the layers you use in the openLayers web app are correctly visualized in the layers preview.
As last step I would check from firebig, or similar debugging ide, what request proudecs the error.

Stefano

---------------------------------------------------
41.95581N 12.52854E


http://www.linkedin.com/in/stefanoiacovella

http://twitter.com/#!/Iacovellas

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Geoserver-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Recommended method to upgrade 2.5 to 2.5.1

Ismail, Mark
In reply to this post by Ismail, Mark

I reverted again and my json problem went away – I think I will stick with 2.5 for now

 

I did move my data_dir though but via environment variable as its a windows machine

 

Mark Ismail

Principal IT Officer

Tel: 0151 443 3021

Knowsley Council  ê  Westmorland Road  ê Huyton ê L36 9GL

 

Save time – use the IT Service Desk Self Serve Application

 

From: Ismail, Mark [mailto:[hidden email]]
Sent: 05 June 2014 13:28
To: 'Stefano Iacovella'
Cc: geoserver mailing list ([hidden email])
Subject: Re: [Geoserver-users] Recommended method to upgrade 2.5 to 2.5.1

 

I did as you suggested Stefano and I have moved my data_dir and all seemed fine until I did a wmsgetfeatureinfo

 

Getting an error from openlayers.js

 

Unhandled exception at line 450, column 350 in http://localhost:51416/Scripts/openlayers/OpenLayers.js

0x800a03ea - JavaScript runtime error: Syntax error

 

The error is something to do with parsing json

 

I will revert the server again and see if it is something to do with the 2.5.1 installation handling JSON calls differently

 

Mark Ismail

Principal IT Officer

Tel: 0151 443 3021

Knowsley Council  ê  Westmorland Road  ê Huyton ê L36 9GL

 

Save time – use the IT Service Desk Self Serve Application

 

From: Stefano Iacovella [[hidden email]]
Sent: 05 June 2014 12:02
To: Ismail, Mark
Cc: geoserver mailing list ([hidden email])
Subject: Re: [Geoserver-users] Recommended method to upgrade 2.5 to 2.5.1

 

 

2014-06-05 12:56 GMT+02:00 Ismail, Mark <[hidden email]>:

I didn’t use a custom folder – I went for default installation and setup – I will go read up on it

 

Just restore the snapshot of your virtual machine, then copy the data_directory contents to another folder on the file system. Then upgrade to 2.5.1, open the web.xml file and serarch for the following code:

<context-param>
       <param-name>GEOSERVER_DATA_DIR</param-name>
       <param-value>/opt/data_dir_geoserver</param-value>
</context-param>

Uncomment it, as it is commented by default, and change the value to the location where you saved your data_directory contents.

Stefano


---------------------------------------------------
41.95581N 12.52854E


http://www.linkedin.com/in/stefanoiacovella

http://twitter.com/#!/Iacovellas

This e-mail and any attachments are confidential. It may contain privileged information and is intended for the named recipient(s) only. It must not be distributed without consent. If you are not one of the intended recipients, please notify the sender immediately and do not disclose, distribute, or retain this email or any part of it and do not take any action based on it.


Unless expressly stated, opinions in this email are those of the individual sender, and not of Knowsley MBC. Legally binding obligations can only be created for, or be entered into on behalf of, Knowsley MBC by duly authorised officers or representatives.


Knowsley MBC excludes any liability whatsoever for any offence caused, any direct or consequential loss arising from the use, or reliance on, this e-mail or its contents. We believe but do not warrant that this e-mail and any attachments are virus free. You must therefore take full responsibility for virus checking and no responsibility is accepted for loss or damage arising from viruses or changes made to this message after it was sent. Knowsley MBC reserves the right to monitor and/or record all e-mail communications through its network in accordance with relevant legislation.

This e-mail and any attachments are confidential. It may contain privileged information and is intended for the named recipient(s) only. It must not be distributed without consent. If you are not one of the intended recipients, please notify the sender immediately and do not disclose, distribute, or retain this email or any part of it and do not take any action based on it.

Unless expressly stated, opinions in this email are those of the individual sender, and not of Knowsley MBC. Legally binding obligations can only be created for, or be entered into on behalf of, Knowsley MBC by duly authorised officers or representatives.

Knowsley MBC excludes any liability whatsoever for any offence caused, any direct or consequential loss arising from the use, or reliance on, this e-mail or its contents. We believe but do not warrant that this e-mail and any attachments are virus free. You must therefore take full responsibility for virus checking and no responsibility is accepted for loss or damage arising from viruses or changes made to this message after it was sent. Knowsley MBC reserves the right to monitor and/or record all e-mail communications through its network in accordance with relevant legislation.

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Geoserver-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-users